<template>
  <div>
    <input type="text"
            v-model="email">
    <input type="text"
            v-model="password">
    <button @click="register">Зарегистрироваться</button>
  </div>
</template>

<script>
  import axios from 'axios'

  export default {
    data() {
      return {
        email: '',
        password: ''
      }
    },
    methods: {
      register() {
        if(this.email && this.password) {
          let data = {
            email: this.email,
            password: this.password
          }
          axios
            .post('https://support.wbrush.local/api/test/register', data)
            .then(response => (
                localStorage.setItem('token', response.data.success.token)
              )
            );
        }
      }
    }
  }
</script>
